/* <reset.scss> */
/*
    http://meyerweb.com/eric/tools/css/reset/
    v2.0 | 20110126
    License: none (public domain)
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* </reset.scss> */
/* <general.scss> */
* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: left;
  background-color: #fff;
}

.hidden {
  display: none !important;
}

.noscript-error {
  display: -ms-grid;
  display: grid;
  width: 100vw;
  height: 100vh;
  -ms-flex-line-pack: center;
      align-content: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-align: center;
  background-color: #233245;
  color: #ccd2df;
  font-size: 1.5rem;
}

.noscript-error > p {
  margin: 0;
  padding: 0 1rem;
}

p {
  margin-top: 0;
  margin-bottom: 1rem;
}

ol, ul, dl {
  margin-top: 0;
  margin-bottom: 1rem;
}

b, strong {
  font-weight: bolder;
}

sub, sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline;
}

sub {
  bottom: -.25em;
}

sup {
  top: -.5em;
}

a {
  color: #007bff;
  text-decoration: none;
  background-color: transparent;
}

a:hover {
  color: #0056b3;
  text-decoration: underline;
}

a:not([href]):not([tabindex]) {
  color: inherit;
  text-decoration: none;
}

a:not([href]):not([tabindex]):hover, a:not([href]):not([tabindex]):focus {
  color: inherit;
  text-decoration: none;
}

a:not([href]):not([tabindex]):focus {
  outline: 0;
}

pre, code {
  font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 1em;
}

pre {
  margin-top: 0;
  margin-bottom: 1rem;
  overflow: auto;
  display: block;
  font-size: 87.5%;
  color: #212529;
}

code {
  font-size: 87.5%;
  color: #e83e8c;
  word-break: break-word;
}

pre code {
  font-size: inherit;
  color: inherit;
  word-break: normal;
}

a > code {
  color: inherit;
}

figure {
  margin: 0 0 1rem;
}

img {
  vertical-align: middle;
  border-style: none;
}

svg {
  overflow: hidden;
  vertical-align: middle;
}

table {
  border-collapse: collapse;
}

caption {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  color: #6c757d;
  text-align: left;
  caption-side: bottom;
}

th {
  text-align: inherit;
}

label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

button {
  border-radius: 0;
}

button:focus {
  outline: 1px dotted;
  outline: 5px auto -webkit-focus-ring-color;
}

input, button, select, optgroup, textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

button, input {
  overflow: visible;
}

button, select {
  text-transform: none;
}

select {
  word-wrap: normal;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

button:not(:disabled),
[type="button"]:not(:disabled),
[type="reset"]:not(:disabled),
[type="submit"]:not(:disabled) {
  cursor: pointer;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  padding: 0;
  border-style: none;
}

input[type="radio"],
input[type="checkbox"] {
  padding: 0;
}

input[type="date"],
input[type="time"],
input[type="datetime-local"],
input[type="month"] {
  -webkit-appearance: listbox;
}

textarea {
  overflow: auto;
  resize: vertical;
}

fieldset {
  min-width: 0;
  padding: 0;
  margin: 0;
  border: 0;
}

legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 0;
  margin-bottom: .5rem;
  font-size: 1.5rem;
  line-height: inherit;
  color: inherit;
  white-space: normal;
}

progress {
  vertical-align: baseline;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

[type="search"] {
  outline-offset: -2px;
  -webkit-appearance: none;
}

[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  font: inherit;
  -webkit-appearance: button;
}

output {
  display: inline-block;
}

[hidden] {
  display: none !important;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

small {
  font-size: 80%;
  font-weight: 400;
}

.table-wrapper {
  overflow-x: auto;
}

.w100 {
  width: 100%;
}

.no-select {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

/* </general.scss> */
/* <main.scss> */
body {
  font-family: 'Montserrat', sans-serif;
  background-color: #eaebf0;
  -webkit-user-select: none !important;
     -moz-user-select: none !important;
      -ms-user-select: none !important;
          user-select: none !important;
  outline: none !important;
}

.site {
  -webkit-transition: -webkit-transform 0.125s cubic-bezier(0.37, 0, 0.63, 1);
  transition: -webkit-transform 0.125s cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 0.125s cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 0.125s cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 0.125s cubic-bezier(0.37, 0, 0.63, 1);
}

.site.slide-right {
  -webkit-transform: translateX(-100vw);
          transform: translateX(-100vw);
}

.site.slide-left {
  -webkit-transform: translateX(100vw);
          transform: translateX(100vw);
}

.site.test {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: auto;
      grid-template-columns: auto;
  -ms-grid-rows: auto;
      grid-template-rows: auto;
  background-color: #e9ebf0;
}

.site.test .devices {
  display: -ms-grid;
  display: grid;
  place-items: stretch;
  place-content: center;
  -ms-grid-columns: (20rem)[4];
      grid-template-columns: repeat(4, 20rem);
  gap: 1rem;
  margin: 2rem 0;
}

.site.test .devices .device {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr;
      grid-template-columns: 1fr;
  -ms-grid-rows: 3rem auto auto;
      grid-template-rows: 3rem auto auto;
  place-items: stretch;
  -webkit-box-shadow: 0.1rem 0.1rem 1rem 0px rgba(0, 0, 0, 0.05);
          box-shadow: 0.1rem 0.1rem 1rem 0px rgba(0, 0, 0, 0.05);
  background-color: #ffffff;
}

@media only screen and (min-width: 768px) {
  .site.test .devices .device {
    border-radius: 0.3rem;
  }
}

.site.test .devices .device > .label {
  border-top-left-radius: 0.3rem;
  border-top-right-radius: 0.3rem;
  line-height: 3rem;
  text-align: center;
  background-color: #008CBA;
  color: #ffffff;
  font-weight: 600;
}

.site.devices-list {
  display: block;
  width: 100%;
}

@media only screen and (min-width: 768px) {
  .site.devices-list {
    max-width: 768px;
    margin: 0 auto;
    padding: 3rem 0;
  }
}

.site.devices-list > .room-title {
  height: 3rem;
  line-height: 3rem;
  text-align: center;
  padding: 0 1rem;
  overflow: hidden;
  color: #008CBA;
  font-weight: bold;
  margin: 0;
  font-size: 1.2rem;
}

@media only screen and (min-width: 768px) {
  .site.devices-list > .room-title {
    margin: 1rem 0 0 0;
    border-radius: 0.3rem;
    background-color: rgba(255, 255, 255, 0.3);
  }
}

.site.devices-list > .device {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 3rem 1fr 3rem;
      grid-template-columns: 3rem 1fr 3rem;
  -ms-grid-rows: 3rem;
      grid-template-rows: 3rem;
  place-items: stretch;
  font-size: 1rem;
  background-color: #ffffff;
  cursor: pointer;
}

@media only screen and (min-width: 768px) {
  .site.devices-list > .device {
    border-radius: 0.3rem;
  }
}

.site.devices-list > .device:hover {
  background-color: #f8f9fc;
}

.site.devices-list > .device:not(:first-child) {
  margin-top: 3px;
}

.site.devices-list > .device > .icon, .site.devices-list > .device .arrow {
  text-align: center;
  line-height: 3rem;
  color: #008CBA;
}

.site.devices-list > .device > .label {
  text-align: left;
  line-height: 3rem;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #3f3f3f;
}

.site.device {
  display: block;
  width: 100%;
  padding-bottom: 3px;
}

@media only screen and (min-width: 768px) {
  .site.device {
    max-width: 768px;
    margin: 0 auto;
    padding: 3rem 0;
  }
}

.site.device > .top-bar {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 3rem 1fr;
      grid-template-columns: 3rem 1fr;
  -ms-grid-rows: 3rem;
      grid-template-rows: 3rem;
  place-items: stretch;
  width: 100%;
  overflow: hidden;
  font-weight: bold;
  background-color: #ffffff;
  border-bottom: 3px solid #008CBA;
}

@media only screen and (min-width: 768px) {
  .site.device > .top-bar {
    border-radius: 0.3rem;
    border-width: 5px;
  }
}

.site.device > .top-bar > .icon {
  text-align: center;
  line-height: 3rem;
  background-color: #008CBA;
  color: #ffffff;
  font-size: 1.2rem;
  cursor: pointer;
}

@media only screen and (min-width: 768px) {
  .site.device > .top-bar > .icon {
    border-top-left-radius: 0.3rem;
  }
}

.site.device > .top-bar > .title {
  padding: 0 1rem;
  text-align: center;
  overflow: hidden;
  line-height: 3rem;
  color: #008CBA;
  font-size: 1.2rem;
  font-weight: bold;
}

.site.device > .device-icon {
  padding: 1rem 0;
  text-align: center;
  color: #008CBA;
  font-size: 5rem;
}

@media only screen and (min-width: 768px) {
  .site.device > .device-icon {
    background-color: rgba(255, 255, 255, 0.3);
    border-bottom-left-radius: 0.3rem;
    border-bottom-right-radius: 0.3rem;
  }
}

.site.device > .action {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 3rem 1fr 3rem;
      grid-template-columns: 3rem 1fr 3rem;
  -ms-grid-rows: (3rem)[auto-fill];
      grid-template-rows: repeat(auto-fill, 3rem);
  place-items: stretch;
  font-size: 1rem;
  background-color: #ffffff;
}

@media only screen and (min-width: 768px) {
  .site.device > .action {
    border-radius: 0.3rem;
  }
}

.site.device > .action:hover {
  background-color: #f8f9fc;
}

.site.device > .action:not(:first-child) {
  margin-top: 3px;
}

@media only screen and (min-width: 768px) {
  .site.device > .action.with-arguments > .send {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0.3rem;
  }
}

.site.device > .action > .icon {
  text-align: center;
  line-height: 3rem;
  color: #008CBA;
}

.site.device > .action > .send {
  text-align: center;
  line-height: 3rem;
  color: #ffffff;
  background-color: #008CBA;
  cursor: pointer;
  -webkit-transition: background-color 100ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: background-color 100ms cubic-bezier(0.37, 0, 0.63, 1);
}

@media only screen and (min-width: 768px) {
  .site.device > .action > .send {
    border-top-right-radius: 0.3rem;
    border-bottom-right-radius: 0.3rem;
  }
}

.site.device > .action > .send.active {
  background-color: #006687;
}

.site.device > .action > .label {
  text-align: left;
  line-height: 3rem;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #3f3f3f;
}

.site.device > .action > .arguments {
  width: 100%;
  margin: 1rem;
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-column: 1 / span 2;
}

.site.device > .action > .arguments td {
  padding: 0.3rem 0.5rem;
  vertical-align: middle;
  white-space: nowrap;
}

.site.device > .action > .arguments input[type="text"], .site.device > .action > .arguments input[type="number"] {
  padding: 0.3rem;
  border: none;
  border-bottom: 2px solid #d3d3d3;
  width: 100%;
  -webkit-transition: border-color 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: border-color 200ms cubic-bezier(0.37, 0, 0.63, 1);
  color: #008CBA;
}

.site.device > .action > .arguments input[type="text"]:focus, .site.device > .action > .arguments input[type="number"]:focus {
  outline: none;
  border-bottom: 2px solid #008CBA;
}

@media only screen and (min-width: 768px) {
  .site.device > .action > .arguments input[type="text"], .site.device > .action > .arguments input[type="number"] {
    border-top-left-radius: 0.3rem;
    border-top-right-radius: 0.3rem;
  }
}

.site.device > .action > .arguments input[type="checkbox"] {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background-color: #ffffff;
  border: none;
  border-bottom: 2px solid #d3d3d3;
  padding: 1rem;
  margin-bottom: -0.5rem;
  display: inline-block;
  position: relative;
  outline: none;
  -webkit-transition: border-color 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: border-color 200ms cubic-bezier(0.37, 0, 0.63, 1);
}

.site.device > .action > .arguments input[type="checkbox"]:after {
  -webkit-transition: opacity 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: opacity 200ms cubic-bezier(0.37, 0, 0.63, 1);
  content: '\2714';
  font-size: 1.3rem;
  position: absolute;
  top: 0.1rem;
  left: 0.5rem;
  color: #008CBA;
  opacity: 0.1;
}

@media only screen and (min-width: 768px) {
  .site.device > .action > .arguments input[type="checkbox"] {
    border-radius: 0.3rem;
  }
}

.site.device > .action > .arguments input[type="checkbox"]:checked {
  border-color: #008CBA;
}

.site.device > .action > .arguments input[type="checkbox"]:checked:after {
  opacity: 1;
}

.site.device > .port {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 3rem 1fr 6rem;
      grid-template-columns: 3rem 1fr 6rem;
  -ms-grid-rows: 3rem;
      grid-template-rows: 3rem;
  place-items: stretch;
  font-size: 1rem;
  background-color: #ffffff;
}

@media only screen and (min-width: 768px) {
  .site.device > .port {
    border-radius: 0.3rem;
  }
}

.site.device > .port:hover {
  background-color: #f8f9fc;
}

.site.device > .port:not(:first-child) {
  margin-top: 3px;
}

.site.device > .port > .icon {
  text-align: center;
  line-height: 3rem;
  color: #008CBA;
}

.site.device > .port > .label {
  text-align: left;
  line-height: 3rem;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #3f3f3f;
}

.site.device > .port > .controls {
  text-align: center;
  line-height: 3rem;
  color: #008CBA;
  display: -ms-grid;
  display: grid;
  -ms-flex-line-pack: center;
      align-content: center;
  -webkit-box-pack: right;
      -ms-flex-pack: right;
          justify-content: right;
  padding-right: 0.5rem;
}

.site.device > .port > .controls .slider-switch {
  width: 4rem;
  height: 2.1rem;
  position: relative;
  display: inline-block;
  margin: 0;
}

.site.device > .port > .controls .slider-switch input[type="checkbox"] {
  opacity: 0;
  width: 0;
  height: 0;
}

.site.device > .port > .controls .slider-switch .slide-button {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #d3d3d3;
  -webkit-transition: -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 200ms cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  border-radius: 1.5rem;
}

.site.device > .port > .controls .slider-switch .slide-button:before {
  position: absolute;
  content: "";
  height: 1.5rem;
  width: 1.5rem;
  left: 0.33rem;
  bottom: 0.3rem;
  background-color: white;
  -webkit-transition: -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 200ms cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 200ms cubic-bezier(0.37, 0, 0.63, 1);
  border-radius: 1.5rem;
}

.site.device > .port > .controls .slider-switch input[type="checkbox"]:checked + .slide-button {
  background-color: #008CBA;
}

.site.device > .port > .controls .slider-switch input[type="checkbox"]:focus + .slide-button {
  -webkit-box-shadow: 0 0 1px #008CBA;
          box-shadow: 0 0 1px #008CBA;
}

.site.device > .port > .controls .slider-switch input[type="checkbox"]:checked + .slide-button:before {
  -webkit-transform: translateX(1.8rem);
          transform: translateX(1.8rem);
}

.site.device > .port > .controls .slider-range {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  width: 4rem;
  height: 0.8rem;
  border-radius: 0.3rem;
  background: #d3d3d3;
  outline: none;
  -webkit-transition: opacity 200ms cubic-bezier(0.37, 0, 0.63, 1);
  transition: opacity 200ms cubic-bezier(0.37, 0, 0.63, 1);
}

.site.device > .port > .controls .slider-range::-webkit-slider-thumb {
  -webkit-appearance: none;
          appearance: none;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: #008CBA;
  border: none;
  cursor: pointer;
}

.site.device > .port > .controls .slider-range::-moz-range-thumb {
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: #008CBA;
  border: none;
  cursor: pointer;
}

.site.device > .port > .controls .indicator {
  display: inline-block;
  margin-right: 1.2rem;
  width: 1.5rem;
  height: 1.5rem;
  background-color: #d3d3d3;
  border-radius: 50%;
}

.site.device > .port > .controls .indicator.active {
  background-color: #008CBA;
}

.site.device > .port > .controls .progress-bar {
  display: block;
  width: 4rem;
  height: 0.81rem;
  background-color: #d3d3d3;
  border-radius: 0.3rem;
  text-align: left;
  padding: 0;
}

.site.device > .port > .controls .progress-bar .status {
  display: block;
  width: 0%;
  height: 100%;
  background-color: #008CBA;
  border-radius: 0.3rem;
}

.site.device > .splitter {
  display: block;
  height: 0.5rem;
  width: 100%;
  opacity: 0;
}

@media only screen and (min-width: 768px) {
  .site.device > .splitter {
    height: 1rem;
  }
}

/* </main.scss> */
